Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.filesystems
Class FileSystemCapability

    java.lang.Object
      org.openide.filesystems.FileSystemCapability

Direct Known Subclasses:
  FileSystemCapability.Bean

Deprecated. Now useless.

    public class FileSystemCapability

extends Object

This class defines the capabilities of a filesystem to take part in different operations. Some filesystems are not designed to allow compilation on them, some do not want to be present in class path when executing or debugging a program.

Moreover there can be additional capabilities to check and this class defines ways how one can communicated with a filesystem to find out whether the system is "capable" enough to be used in the operation.

Nested Class Summary
`static class` | `FileSystemCapability.Bean` Deprecated. For the same reason the whole class is.

Field Summary
`static FileSystemCapability` | `ALL` Deprecated. Object that is capable of every thing.
`static FileSystemCapability` | `COMPILE` Deprecated. Please use the ClassPath API instead.
`static FileSystemCapability` | `DEBUG` Deprecated. Please use the ClassPath API instead.
`static FileSystemCapability` | `DOC` Deprecated. Please use `JavadocForBinaryQuery` instead.
`static FileSystemCapability` | `EXECUTE` Deprecated. Please use the ClassPath API instead.

Constructor Summary
`FileSystemCapability()` Deprecated.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener l)` Deprecated. Adds PropertyChange listener.
`boolean` | `capableOf(FileSystemCapability c)` Deprecated. Basic operation that tests whether this object is capable to do different capability.
`Enumeration` | `fileSystems()` Deprecated. Please use the ClassPath API instead.
`FileObject` | `find(String aPackage, String name, String ext)` Deprecated. Please use the ClassPath API instead.
`Enumeration` | `findAll(String aPackage, String name, String ext)` Deprecated. Please use the ClassPath API instead.
`Enumeration` | `findAllResources(String name)` Deprecated. Please use the ClassPath API instead.
`FileObject` | `findResource(String resName)` Deprecated. Please use the ClassPath API instead.
`void` | `removePropertyChangeListener(PropertyChangeListener l)` Deprecated. Removes PropertyChange listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL

    public static final FileSystemCapability ALL

  Deprecated.
  Object that is capable of every thing.

### COMPILE

    public static final FileSystemCapability COMPILE

  Deprecated. Please use the ClassPath API instead.
  Well known capability of being compiled.

### EXECUTE

    public static final FileSystemCapability EXECUTE

  Deprecated. Please use the ClassPath API instead.
  Well known ability to be executed.

### DEBUG

    public static final FileSystemCapability DEBUG

  Deprecated. Please use the ClassPath API instead.
  Well known ability to be debugged.

### DOC

    public static final FileSystemCapability DOC

  Deprecated. Please use `JavadocForBinaryQuery` instead.
  Well known ability to contain documentation files

Constructor Detail

### FileSystemCapability

    public FileSystemCapability()

  Deprecated.

Method Detail

### capableOf

    public boolean capableOf(FileSystemCapability c)

  Deprecated.
  Basic operation that tests whether this object is capable to do different capability.

  The default implementation claims that it is capable to handle only identical capability (==).

  Parameters:
    `c` - capability to test
  Returns:
    true if yes

### fileSystems

    public Enumeration fileSystems()

  Deprecated. Please use the ClassPath API instead.

  All filesystems that are capable of this capability.

  Returns:
    enumeration of FileSystems that satifies this capability

### findResource

    public FileObject findResource(String resName)

  Deprecated. Please use the ClassPath API instead.

  Find a resource in repository, ignoring not capable filesystems.

  Parameters:
    `resName` - name of the resource

### findAllResources

    public Enumeration findAllResources(String name)

  Deprecated. Please use the ClassPath API instead.

  Searches for the given resource among all filesystems that satifies this capability, returning all matches.

  Parameters:
    `name` - name of the resource
  Returns:
    enumeration of `FileObject`s

### find

    public final FileObject find(String aPackage,
                                 String name,
                                 String ext)

  Deprecated. Please use the ClassPath API instead.

  Finds file when its name is provided. It scans in the list of filesystems and asks them for the specified file by a call to `find`. The first object that is found is returned or `null` if none of the filesystems contain such a file.

  Parameters:
    `aPackage` - package name where each package is separated by a dot
    `name` - name of the file (without dots) or `null` if one wants to obtain the name of a package and not a file in it
    `ext` - extension of the file or `null` if one needs a package and not a file name
  Returns:
    `FileObject` that represents file with given name or `null` if the file does not exist

### findAll

    public final Enumeration findAll(String aPackage,
                                     String name,
                                     String ext)

  Deprecated. Please use the ClassPath API instead.

  Finds all files among all filesystems with this capability that match a given name, returning all matches. All filesystems are queried with `FileSystem.find(java.lang.String, java.lang.String, java.lang.String)`.

  Parameters:
    `aPackage` - package name where each package is separated by a dot
    `name` - name of the file (without dots) or `null` if one wants to obtain the name of a package and not a file in it
    `ext` - extension of the file or `null` if one needs a package and not a file name
  Returns:
    enumeration of `FileObject`s

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener l)

  Deprecated.
  Adds PropertyChange listener. Every class which implements changes of capabilities has to implement it's property change support.

  Parameters:
    `l` - the listener to be added.

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener l)

  Deprecated.
  Removes PropertyChange listener. Every class which implements changes of capabilities has to implement it's property change support.

  Parameters:
    `l` - the listener to be removed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.